# Class: YARD::Handlers::Ruby::ClassVariableHandler

Inherits:
  Base
  - Object
  - Base
  - Base
  - YARD::Handlers::Ruby::ClassVariableHandler
  show all

Defined in:
  lib/yard/handlers/ruby/class_variable_handler.rb

## Overview

Handles a class variable (@@variable)

## Constant Summary

### Constants included from CodeObjects

CodeObjects::BUILTIN_ALL, CodeObjects::BUILTIN_CLASSES, CodeObjects::BUILTIN_EXCEPTIONS, CodeObjects::BUILTIN_EXCEPTIONS_HASH, CodeObjects::BUILTIN_MODULES, CodeObjects::CONSTANTMATCH, CodeObjects::CONSTANTSTART, CodeObjects::CSEP, CodeObjects::CSEPQ, CodeObjects::ISEP, CodeObjects::ISEPQ, CodeObjects::METHODMATCH, CodeObjects::METHODNAMEMATCH, CodeObjects::NAMESPACEMATCH, CodeObjects::NSEP, CodeObjects::NSEPQ

## Instance Method Summary collapse

- #process ⇒ void

  Main processing callback.

### Methods included from Parser::Ruby

#s

### Methods included from CodeObjects::NamespaceMapper

#clear_separators, #default_separator, on_invalidate, #register_separator, #separators, #separators_for_type, #separators_match, #types_for_separator, #unregister_separator_by_type

## Constructor Details

This class inherits a constructor from YARD::Handlers::Base

## Instance Method Details

### #process ⇒ `void`

This method returns an undefined value.

Main processing callback

    7
    8
    9
    10
    11
    12
    13
    14
    15
    16

    # File 'lib/yard/handlers/ruby/class_variable_handler.rb', line 7

    process do
      if statement[0].type == :var_field && statement[0][0].type == :cvar
        name = statement[0][0][0]
        value = statement[1].source
        register ClassVariableObject.new(namespace, name) do |o|
          o.source = statement
          o.value = value
        end
      end
    end